Page MenuHomePhabricator

[DO NOT USE] System messages structure (tracking) [superseded by T40638]
Closed, InvalidPublic

Description

This tracking task has been superseded by T40638.


Original task description:

Author: happy.melon.wiki

Description:
Tracking bug for the way we structure, name, organise, parse, render, etc, system messages ([[MediaWiki:...]] messages) *as part of the interface*.

Details

Reference
bz18521

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 10:33 PM
bzimport set Reference to bz18521.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Apr 19 2009, 7:52 PM

Adding 'tracking' keyword.

Adding some blockers. I'm not adding the (dozens) of bugs requesting for errors/confirmation/other messages to be split, added or moved, which probably wouldn't even use a tracking bug as they're very separate issues and there's no need to address them together or consistently (besides, nobody would ever bother).

What's the exact difference of this tracking bug compared to bug 38638?
Specifying in the bug summary very welcome (verbs always welcome in a bug summary)

(In reply to Andre Klapper from comment #3)

What's the exact difference of this tracking bug compared to bug 38638?

Per comment 0 and comment 2, this is about system messages as a whole, while bug 38638 is about individual messages having issues. We could also say this is about what is not called the "messages API", in a way.

(Though in practice this tracking bug doesn't seem to really be used.)

happy.melon.wiki wrote:

(In reply to Andre Klapper from comment #3)

What's the exact difference of this tracking bug compared to bug 38638?
Specifying in the bug summary very welcome (verbs always welcome in a bug
summary)

I haven't seen bug 38638 before, but I'd say probably the most useful distinction to make would be to say that that bug is to track where the *content* of messages needs to be improved (be that by rewording, documenting, adding {{PLURAL:...}} or {{GENDER:...}} support, etc), while this bug tracks the way MW *uses* and *generates* messages. Eg bug 17148, which is essentially "sometimes MW sticks completely the wrong data into a message".

Krinkle removed a subscriber: Krinkle.Jun 2 2016, 7:46 PM

(Though in practice this tracking bug doesn't seem to really be used.)

This 'tracking bug' feels so vague that I propose closing it. We don't need categorizing for the sake of categorizing if it helps basically nobody.

Aklapper renamed this task from System messages structure (tracking) to [DO NOT USE] System messages structure (tracking) [superseded by T40638].Aug 6 2018, 10:12 AM
Aklapper closed this task as Invalid.
Aklapper lowered the priority of this task from Normal to Lowest.
Aklapper removed subtasks: T40638: Interface messages needing rewording or documentation and other issues with existing messages (tracking), T43578: Show system messages documentation on their wiki pages, T33032: Provide a way to easily add external links to messages, T31357: CategoryTree should have built-in localizable support for pretty Categorytree-member-num, T31170: [[MediaWiki:Enotif body]] needs GENDER support, T32729: Not all numbers are localised in AbuseFilter, T30920: Allowing HTML tag to identify e.g. English text embedded in a non-English page, T27608: MediaWiki:Fundraiserstats-tab-ytd should not contain (USD), T30557: Message documentation for Extension:AddMediaWizard needed., T28734: Warning messages should handle redirects, T25239: Page looks wrong when deleting conflict occurs, T31927: CentralAuth using wrong Language on Special:MergeAccount, T21895: Fold identical messages, or state that they should or could be different., T24769: MediaWiki:Enotif body: Replace named Parameter, T26521: "code error!" shouldn't be hard coded, T18175: Clean up the rendering of messages displayed at the top of the edit window, T18111: MediaWiki:Cascadeprotected and MediaWiki:Cascadedprotectedwarning should take the same parameters, T19865: Mismatched input syntax for Cite error messages, T18026: MediaWiki:Revision-info should accept wikimarkup, T16176: Add ability to disable MediaWiki messages, T12573: Edit conflict after deletion should not show a diff between contents and "missingarticle" message, T20522: Wrap MediaWiki:Protect-cascadeon in a div for identification, T19148: The warning about editing a semi-protected page can display an irrelevant edit summary, T4453: [[Special:Allmessages]] should provide information about the type of the MediaWiki message, T4358: Better error message on submit failure?, T15000: Allow Blockedtext start with == heading ==.
Aklapper updated the task description. (Show Details)
Aklapper removed a subscriber: wikibugs-l-list.
Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptAug 6 2018, 10:14 AM